package hm.wine.seller.lib;

import android.annotation.SuppressLint;
import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.Response;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

public class DownloadCallback implements Callback {
    private final DownloadFinish callback;

    public DownloadCallback(DownloadFinish callback) {
        this.callback = callback;
    }

    @Override
    public void onFailure(Call call, IOException e) {
        e.printStackTrace();
    }

    @Override
    public void onResponse(Call call, Response response) {
        @SuppressLint("SdCardPath")
        String filepath = "/sdcard/Download/Wine.apk";
        InputStream is = null;
        FileOutputStream fos = null;
        byte[] buf = new byte[2048];
        if (response.body() == null) return;
        try {
            int len;
            is = response.body().byteStream();
            fos = new FileOutputStream(filepath);
            while ((len = is.read(buf)) != -1) fos.write(buf, 0, len);
            fos.flush();

            ShellUtils.execAutoRoot("pm install -r " + filepath);
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            try {
                if (is != null) is.close();
                if (fos != null) fos.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }
}
